function [averageErr stdDev1 err] = load_split_results(dataname, algorithm, kernelType)
 
err = zeros(100,1); 

result.data = dataname; 
result.kernel = kernelType; 
result.numSplit = 100; 
result.split = cell(100,1); 

for i = 1: 100
    try
        t = load([dataname '.' kernelType '.' algorithm '.split' int2str(i) '.result.mat']); 
        err(i) = t.result.averageErr; 
        t.result.averageErr = t.result.classifier.error_test; 
        t.result.YPrediction = sign(t.result.YPrediction);
        result.split{i} = t.result; 
    catch
       i
    end
end

%save([dataname '.' kernelType '.' algorithm '.allCVSplits.result.mat'], 'result')


% t= load([dataname '.' kernelType '.' algorithm '.allCVSplits.result.mat']);
% err = zeros(t.result.numSplit,1); 
% for i = 1:t.result.numSplit
%     %try
%     err(i)  = t.result.split{i}.averageErr;
%     %end
% end

averageErr = mean(err(err>0)); 
stdDev1 = std(err(err>0),1);



% err = zeros(13,1)
% for i = 1: 13
% 	err(i)= load_split_results(benchmarks{i}, algorithm, 'linear'); 
% end

