function [grad] = gradRSVMPlusl1(basicKernels,pos_sv,alpha_sv, beta, componentDist, C_r)
numKernel = size(basicKernels,3);
grad = zeros(numKernel, 1);

for k = 1 : numKernel
    
    grad(k) = - 0.5*alpha_sv' * basicKernels(pos_sv,pos_sv,k) * alpha_sv + C_r/2 *componentDist(beta,k) ;
end;
end
