function [kernel] = combinedKernels(basicKernels, mu)
[N1 N2 D] = size(basicKernels);
kernel = zeros(N1, N2);

nonzeroKernel = find(mu);
for i  = 1: length(nonzeroKernel)
    kernel = kernel + mu(nonzeroKernel(i)) * basicKernels(:,:,nonzeroKernel(i)); 
end