function [compDistance_vect_form compDistance_mat_form] =  componentDistances(X)
%% distance between x_ik and x_jk


[numInstances,numFeatures]   = size(X);
lengthPairInst =  numInstances * (numInstances - 1)/2; 

 % Compute component squared distances 
 compDistance_mat_form = zeros(numInstances,numInstances,numFeatures);
 compDistance_vect_form = zeros(lengthPairInst, numFeatures); 
 for k = 1:numFeatures
     dist = pdist(X(:,k));
     compDistance_vect_form(:,k) = dist .* dist;
    
     compDistance_mat_form(:,:,k)  = squareform(compDistance_vect_form(:,k)); 
 end